Bug 31481 - [RFE] Split pane in same window for side-by-side proof reading/ translating of 2 different files
Summary: [RFE] Split pane in same window for side-by-side proof reading/ translating o...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: high enhancement
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard:
Keywords:
: 31508 42428 97257 (view as bug list)
Depends on:
Blocks: Writer-Enhancements 101772
  Show dependency treegraph
 
Reported: 2010-11-08 16:35 UTC by David Nelson
Modified: 2017-07-28 12:40 UTC (History)
37 users (show)

See Also:
Crash report or crash signature:


Attachments
split a document in Calc (132.30 KB, image/png)
2013-08-01 09:21 UTC, Andrej
Details
vertical and horizontal in Calc (126.58 KB, image/png)
2014-03-07 06:11 UTC, Andrej
Details
window split in LibreOffice Calc 5.0.0.0.beta1 - same would be in Writer and others (127.12 KB, image/png)
2015-05-23 20:20 UTC, Edmund Laugasson
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Nelson 2010-11-08 16:35:16 UTC
Hi, :-)

In MS Office 2010, you can open 2 docs in the same window (each doc in a separate pane). When you scroll through the doc in one pane, the doc in the other pane scrolls an equivalent amount. 

This is called "proofreading mode".

Could you please implement this for LibO?

Having 2 docs open in separate windows (as you can at present) is not an equivalent functionality (you get duplication of toolbars, lose valuable screen real estate, etc.)

Thanks if so. :-)
Comment 1 David Nelson 2010-11-08 16:36:31 UTC
I'm thinking about Writer here, but it could usefully be implemented in Calc too...
Comment 2 David Nelson 2010-11-09 05:05:11 UTC
Please let me know if you need any further descriptions about what I mean. :-)
Comment 3 Kohei Yoshida 2010-11-09 11:04:12 UTC
*** Bug 31508 has been marked as a duplicate of this bug. ***
Comment 4 Jon Green 2011-07-07 02:43:02 UTC
Absolutely agreed.  Just being able to split the current window in place (even without linked scrolling) would be a huge improvement over the current "solution" of opening more than one window over the same document.  

Multiple windows wastes a lot of screen space to the window chrome, makes parts of the program unusable in focus-follows-mouse mode (Windows or Linux) - try playing chase-the-Styles-box when it pops up over the _other_ window - and forces the user to do a lot of messing about, manually tiling the two.

There's a trail of requests for this feature dating back to OpenOffice.org in 2003.
Comment 5 Jon Green 2011-07-07 02:45:25 UTC
(In reply to comment #4)
> Absolutely agreed.  Just being able to split the current window in place (even
> without linked scrolling) would be a huge improvement over the current
> "solution" of opening more than one window over the same document.  

To clarify, I'm referring specifically to Writer.  Calc already has splits.
Comment 6 Emerson Prado 2011-07-28 13:28:29 UTC
Requesting that importance be set to "highest", or at least "high". I know it's a difficult enhancement to implement, but it's a 10-years-old request (inherited from OOo), is the single most wanted feature and, along with the file association issue, is the only important disadvantage over other office suites.
Which skills are needed?
Comment 7 Michael H. 2011-07-28 15:24:24 UTC
As mentioned by Emerson Prado, this is the same enhancement request (see the See Also field) which, despite having 224 votes to date and has been in the queue for over 9 (!) years, isn't getting any development attention over at openoffice.org/bugzilla/; i.e. it has neither been assigned nor has a milestone set.

As mentioned in the OOo bug tracker, this issue depends on the OOo-listed issue 102365. According to that description, "all Docking Windows are based on the implementation on sfx2. So they 
- can only be used by sfx based components
- are always inside the component window
- can't be shared in case two components are placed into the same task window"

OOo Bug 102365 blocks issue OOo 19291, i.e. this LO enhancement from being implemented.

Is there any hope for this or are we stuck with the sfx2 restrictions?
Comment 8 lamarcbr 2011-08-01 11:01:49 UTC
I'm also coming over on this issue from the openoffice.org bug tracker, and have been following the traffic on this issue in the last few weeks. Please see this as a sign of utter exasperation from the user base. If there's a way we can vote on the freedesktop.org bug tracker, count me in!!!
Comment 9 Francesca 2011-08-01 11:42:44 UTC
I have also started following this bug coming from OpenOffice, in hopes that it could be resolved in less than 10 years :); I also thought there would be some way to explicitly vote the bug, so count me with the users that desperately need this enhancement!
Comment 10 Colin Brace 2011-08-01 15:31:37 UTC
Like others above, I have also arrived here because of the OO bug listing. I am a freelance editor and translator and this is a feature we really need to have for this kind of work. I hope this gets implemented soon. Thanks for your consideration.
Comment 11 Zenaan Harkness 2011-08-01 17:46:46 UTC
(In reply to comment #9)
> I have also started following this bug coming from OpenOffice, in hopes that it
> could be resolved in less than 10 years :); I also thought there would be some
> way to explicitly vote the bug, so count me with the users that desperately
> need this enhancement!

A bug feature enhancement request has now been created in bugzilla (against freedesktop.org):

"A bug-voting facility to express interest in features and bugs"
https://bugs.freedesktop.org/show_bug.cgi?id=39739

If you join onto that bug too, this might help express interest in having a voting facility and encourage the freedesktop.org webmasters to implement this feature.
Comment 12 Emerson Prado 2011-08-01 19:43:30 UTC
BTW, while we can't vote, just add yourselfs to the CC: list. This would give an idea of bugs popularity. Less accurate than votes, but an idea.
Comment 13 HansPL 2011-08-02 01:23:45 UTC
Coming over from OOo:  I need this too...  missing that feature for years,  not getting any reaction at OOo's.  My WinWord 2.0 had this nicely implemented two decades ago!  Every decent plain text editor has it.  I'm not able to code for LO but I would be very glad if someone could do this.  Count me as a vote.  Thanks!
Comment 14 Dmitry Pashkevich 2011-08-02 01:53:59 UTC
LibreOffice gives me a new hope that this will finally be implemented!
Comment 15 sasha.libreoffice 2011-08-02 03:03:13 UTC
*** Bug 34900 has been marked as a duplicate of this bug. ***
Comment 16 Michael Meeks 2011-08-17 02:21:27 UTC
It is important that feature requests are clear, concise and concentrated on a -single- feature. I see several below. Is the request to be able to read -two-different- documents side-by-side ? if so - that is at least technically within the bounds of possibility; if the request is to have split panes and multiple views of the same document - that is much more difficult, due to the way writer is structured.

Either way - user input is fun & all that, but what is needed is someone to do the work, knock up a hackish prototype patch (so we can discuss it on the development list), and/or fund a hacker to do this.
Comment 17 Dmitry Pashkevich 2011-08-17 02:54:31 UTC
The title of this bug says about 'reading of 2 docs' but I mostly want to be able to edit two parts of the same doc via split view. I miss this feature a lot in LibreOffice.
Comment 18 Michael H. 2011-08-17 03:26:58 UTC
(In reply to comment #16)
> It is important that feature requests are clear, concise and concentrated on a
> -single- feature.

MM, you are absolutely right about this and the goal of this issue has become muddled - I'm certainly guilty of being an accomplice to that. Sorry.

It was perhaps wrongly assumed that splitting a window for two independent views of a single document would be essentially the same as splitting a window for simultaneous views of two different documents ("proofreading mode"). The window-handling in writer was considered to likely be dependent on the same window handler in both cases.

If split windows for side-by-side viewing of two different documents is "at least technically within the bounds of possibility" and split panes for multiple views of the same document is not, then we need to not only open a separate issue for the latter, but, as you say, somehow get to work on it. 
 
> what is needed is someone to do the work, knock up a hackish prototype
> patch (so we can discuss it on the development list), and/or fund a hacker to 
> do this.

MM, since you seem knowledgeable enough to evaluate the differences and technical "bounds of possibility" between these two apparently closely related requests, perhaps you could elucidate in what way they differ so that we can move on at least one of these goals. Is this related to the implementation on sfx2 mentioned in the first "See Also" link id=102365?
Comment 19 David Nelson 2011-08-17 04:29:37 UTC
Michael,

OK, let me re-state the request:

"In MS Office 2010, you can open 2 docs in the same window (each doc in a
separate pane). When you scroll through the doc in one pane, the doc in the
other pane scrolls an equivalent amount. 

This is called "proofreading mode".

Could you please implement this for LibO?

Having 2 docs open in separate windows (as you can at present) is not an
equivalent functionality (you get duplication of toolbars, lose valuable screen
real estate, etc.)"

Proofreading mode works like this: you have a document already open and you're working on it. You need to do a line-by-line comparison with another document. Maybe this document is not open and you need to browse to it and open it, or maybe it's already open and you need to be able to designate it as the "2nd file". Once the 2nd document has been chosen, you need to be able to designate 2 points in the 2 files (1 place in each file) as the points as from which to synchronize the simultaneous scrolling.

If you use any version of MS Office from 2003 onwards (possible earlier - I no longer remember), you have this feature.

Does this seem clearer? In any case, thanks to our devs for their time and work. :-)
Comment 20 Dmitry Pashkevich 2011-08-17 04:47:53 UTC
(In reply to comment #19)
> Michael,
> 
> OK, let me re-state the request:
> 
> "In MS Office 2010, you can open 2 docs in the same window (each doc in a
> separate pane). When you scroll through the doc in one pane, the doc in the
> other pane scrolls an equivalent amount. 
> 
> This is called "proofreading mode".
> 
> Could you please implement this for LibO?
> 
> Having 2 docs open in separate windows (as you can at present) is not an
> equivalent functionality (you get duplication of toolbars, lose valuable screen
> real estate, etc.)"
> 
> Proofreading mode works like this: you have a document already open and you're
> working on it. You need to do a line-by-line comparison with another document.
> Maybe this document is not open and you need to browse to it and open it, or
> maybe it's already open and you need to be able to designate it as the "2nd
> file". Once the 2nd document has been chosen, you need to be able to designate
> 2 points in the 2 files (1 place in each file) as the points as from which to
> synchronize the simultaneous scrolling.
> 
> If you use any version of MS Office from 2003 onwards (possible earlier - I no
> longer remember), you have this feature.
> 
> Does this seem clearer? In any case, thanks to our devs for their time and
> work. :-)

I think it will be better to simply implement some sort of 'Toggle scroll sync' button. It would work the following way: the user sets the necessary scroll positions in two panes, then presses the button. After that both panes will be scrolled simultaneously. But later the user can depress the 'toggle scroll sync' button to realign content between the two panes and then turn the sync back on.
Comment 21 Emerson Prado 2011-08-18 05:57:39 UTC
Maybe the scroll locking could be another request, just as multiple panes or multiple views for the same document. Just for the sake of focusing the discussion.
Comment 22 hwtan 2011-09-27 19:48:54 UTC
Me too coming from OOo with the hope that this feature was implemented yesterday. However, looking at Mr. Nelson's description, it is quite different from OOo issue 19291. What I am looking for is a feature that enable me to look at two parts of a SINGLE document simultaneously. This is a very important feature for anyone who is doing translation.

Also, by looking at the discussion thus far, it seems to me that there is no programmer of Libreoffice joining the discussion, a scenario similar to OOo. Another observation is that this feature request is not assigned to anyone (programmer) in particular yet. That means there is still no progress.

It is time to time about moving back to MSO.
Comment 23 Jonathan 2011-09-27 20:15:41 UTC
(In reply to comment #22)
> Me too coming from OOo with the hope that this feature was implemented
> yesterday. However, looking at Mr. Nelson's description, it is quite different
> from OOo issue 19291. What I am looking for is a feature that enable me to look
> at two parts of a SINGLE document simultaneously. This is a very important
> feature for anyone who is doing translation.
> 
> Also, by looking at the discussion thus far, it seems to me that there is no
> programmer of Libreoffice joining the discussion, a scenario similar to OOo.
> Another observation is that this feature request is not assigned to anyone
> (programmer) in particular yet. That means there is still no progress.
> 
> It is time to time about moving back to MSO.

Hear hear. Been waiting, and working around the lack of this function for close to 10 years now. It really is absolutely essential for editing any large document with different sections that refer to one another. It's an embarrassment trying to convince people that OO/LO is a viable substitute for MSW when it can't do this.
Comment 24 Alejandro Moreno 2011-10-31 06:50:46 UTC
I have create a new bug request "Split Windows for single document" - Bug 42428
Comment 25 vitriol 2011-10-31 06:55:46 UTC
*** Bug 42428 has been marked as a duplicate of this bug. ***
Comment 26 Alejandro Moreno 2011-10-31 07:04:21 UTC
@vitriol: I have created this bug in request of comment 16. I think that this bug and Bug 42428 are different.
Comment 27 hwtan 2011-10-31 18:05:58 UTC
Hi Vitriol,

I agree with Moreno that these are too different bugs. What most of us here need is the feature to view two or more different parts of a single document at the same time. Or at least, the title of this bug is misleading to say the least.

Btw, the feature should allow the user to split the window horizontally and/or vertically.
Comment 28 Emerson Prado 2011-11-01 04:57:07 UTC
The title says "side-by-side reading of 2 docs", so I guess the bugs are different. Though both have similar audience and importance, but a bug should be single.
Comment 29 robert.funnell 2011-12-02 19:42:40 UTC
I just added a comment to issue 42428, stating that it is not a duplicate of this bug. I also apparently succeeded in reopening it. I suggest that those people who are cc'd on this issue, but who are really interested in viewing different parts of a single document, should go and add themselves to the cc list of issue 42428.
Comment 30 Björn Michaelsen 2011-12-23 11:35:30 UTC
[This is an automated message.]
This bug was filed before the changes to Bugzilla on 2011-10-16. Thus it
started right out as NEW without ever being explicitly confirmed. The bug is
changed to state NEEDINFO for this reason. To move this bug from NEEDINFO back
to NEW please check if the bug still persists with the 3.5.0 beta1 or beta2 prereleases.
Details on how to test the 3.5.0 beta1 can be found at:
http://wiki.documentfoundation.org/QA/BugHunting_Session_3.5.0.-1

more detail on this bulk operation: http://nabble.documentfoundation.org/RFC-Operation-Spamzilla-tp3607474p3607474.html
Comment 31 hwtan 2013-02-13 08:32:04 UTC
This is not a new bug, but an old ten years bug since the days of OOo. Please refer to the OOo bugzilla issues 19291.

It would go away unless someone works on it. It is still the same in the new LO version 4.

Can someone confirm that this feature is a much needed feature that should be in LO yesterday?
Comment 32 Dmitry Pashkevich 2013-02-13 09:07:44 UTC
Yes, it's a very needed feature. To be honest I don't really have a lot to say here - it's just so obvious to me that it should be there. It's indispensible when working on big documents (e.g. a report or a scientific paper) - you often need to jump between sections of your document (e.g. add/edit a bibliographic entry or refer to another part of the document without scrolling back and forth - that's really annoying). The "split pane" functionality would let you do that efficiently without losing your main context - you are working on a section, and then, while staying where you are, you can quickly open a different section in a separate pane without getting too distracted and without having to scroll back to pick up where you left off. 

Opening the same document in a separate window is a workaround and definitely helps but it's not the same - this way you waste more screen space and you have to manually manage two windows (you don't always need them). With "split pane", the panes are really easy to manage and it's super natural - just drag that line on top of scroll bar - and you get another pane. When you don't need it anymore - you just drag it back upwards and it's gone. If you had two windows open, you'd have to 1) close the other window; 2) resize the remaining window; and do this every time you need to temporarily jump to another section without losing context.


I'm really surprised this feature has so little attention. Many text editors and IDEs and have similar functionality and it's long been proved useful. And while these programs are created for rather different fields of work, they all have one thing with common with word processors - **you work with DOCUMENTS**. IMO, whenever you work with documents, there is always place for split panes and the feature will always give a productivity boost.

When I found out about LO 4.0, the first thing I started searching for in the changelogs is this feature. Sadly, it's still not there but I still hope it'll land. Someone in OOo thread even suggested a money bounty to whoever implements it. I would be happy to donate too, just please someone do it!

(In reply to comment #31)
> This is not a new bug, but an old ten years bug since the days of OOo.
> Please refer to the OOo bugzilla issues 19291.
> 
> It would go away unless someone works on it. It is still the same in the new
> LO version 4.
> 
> Can someone confirm that this feature is a much needed feature that should
> be in LO yesterday?
Comment 33 HansPL 2013-02-13 09:18:36 UTC
Yes, I would still very much like this function!  
I miss it regularly when checking translations or modified instructions. 
I just lost hope that a developer would sometime stoop to implementing a long wished for but unspectacular feature which is common in MS Office since more than a decade...  (Many source code editors have it,  too.)

Hans
Comment 34 David Nelson 2013-02-13 15:06:31 UTC
I'm the original filer of this feature request. I confirm that I have been obliged to use Windows in a virtual machine on my Ubuntu and use MS Office because I frequently need to do side by side reading, and because I sometimes need to work on a same document with views in side by side or one-over-the-other windows. So I definitely still think this ticket needs putting on the top of the developers' priorities.

If anyone among the devs is unclear about what is needed, I can write and post a side by side comparison of LibreOffice and MS Office 2010 and show you what's lacking.

The interface of LibreOffice needs a design team study that TDF could usefully fund out of its yearly budget, because the suite is starting to look somewhat dated in comparison with other similar products on the market.

It's with great regret that I have to say that.
Comment 35 Dmitry Pashkevich 2013-03-26 13:21:46 UTC
Just letting everyone know that this issue is filed on BountySource. It's a platform that allows people to assign bounties for resolution of issues.

I encourage anyone interested to visit the issue on BountySource and add a bounty:
https://www.bountysource.com/#issues/128387-rfe-split-pane-in-same-window-for-side-by-side-proof-reading-translating-of-2-different-files

Hopefully this would draw attention to the feature in question and prove that it's still very much needed.
Comment 36 bugquestcontri 2013-07-31 10:48:00 UTC
I hope that this feature is getting developed. It is a great enhancement of productivity when 2 documents need to be compared. I frequently need to do so but the workaround with 2 Writer windows is not good at all. I don't want to reinstall Word just for this feature thus my plea to our devs to please pick this task up.
Comment 37 Andrej 2013-08-01 09:20:58 UTC
I read this bug but I am confused if it is about "open 2 docs in the same window" or "open 1 doc in the same window". Anyhow, at least second feature would be very welcome. Calc has it, do not understand why Writer does not.
Comment 38 Andrej 2013-08-01 09:21:56 UTC
Created attachment 83423 [details]
split a document in Calc
Comment 39 Dmitry Pashkevich 2013-08-01 09:35:35 UTC
(In reply to comment #37)
> I read this bug but I am confused if it is about "open 2 docs in the same
> window" or "open 1 doc in the same window". Anyhow, at least second feature
> would be very welcome. Calc has it, do not understand why Writer does not.

Andrej, yes, we're talking about the latter (open two views of the same doc in one window) and it's true that Calc has had this feature for a while, but not Writer, unfortunately.
Comment 40 bugquestcontri 2014-03-07 02:32:57 UTC
Triggered by an AskLibO question: http://ask.libreoffice.org/en/question/30795/how-to-do-side-by-side-editing-of-2-different-files-in-writer/
I read through the long thread and would like to summarize a bit 

1 - Splitting 1  window to view 1 document:

In Calc you can split the window into 2 to look at different vertical parts of the sheet the same time. In Writer you cannot. 

Thus enabling a look at to different vertical parts of a Writer document would be a very helpful function. => enhancement 1

As far as I remember EXCEL you can look not only at different vertical parts in the split window, but you can also scroll each split window separately in horizontal direction. Such a feature for Calc would be a very helpful one to work on complex spreadsheets. => enhancement 2

2- Splitting 1 window to view 2 documents

This is what Nelson asked for in 2010! He asked only for Writer.

2  Writer documents should be open beside each other. Each document has the same width automatically. 
Default:  For both documents the top part is to be seen and scrolling should move both documents in the same steps down or up.
Next feature: Scroll both documents separately 
Next feature: Lock the vertical position of both documents to each other and scroll both document in the same steps down or up.
If there are notes attached to one or both documents there visibility and accessibility should be selectable. Visibility on the right side of each documents or at the bottom with a clear indication on where in the visible text the notes are. 
=> enhancement 3

This is an excellent feature in Word which I do miss in Writer. It allows an excellent comparison and editing of  2 different documents.

2 Calc files should open beside each other with the same functionality as in Writer but not only in vertical but also in horizontal direction.
=> enhancement 4

This seems to me to be the case with highest complexity. I don't recall how Excel can deal with this. Too long time ago....

My personal opinion on the priorities of the enhancements:

Prio 1 = enhancement 3 (2 Witer docs side by side in 1 window)
Prio 2 = enhancement 1 (vertical splitting of 1 Writer window) I could imagine that this is automatically included in enhancement 3
Prio 3 = enhancement 2 (1 Calc document in 1 window vertical and horizontal splitting with independent scrolling in each "sub window")
Prio 4 = enhancement 4 (2 Calc files side by side in 1 window  with independent scrolling of each "sub-window"

I am aware that the rule is 1 request per entry here and I agree to that. The discussion just led to the 4 enhancement requests I tried to summarize.

I fully understand and appreciate if someone with enough inside into the development channels splits the 4 enhancement requests up. However a link between all 4 would be great. I don't have enough expertise and inside to do it myself.

I would be nice if someone who understands the Writer related requests and access to Word could add some screen shots to illustrate the situation. 

I hope this clarifies a the long discussion and we get development manpower to tackle these features.
Comment 41 Andrej 2014-03-07 06:11:03 UTC
Created attachment 95288 [details]
vertical and horizontal in Calc

Actually Calc already has vertical and horizontal
Comment 42 Andrej 2014-03-07 06:20:52 UTC
It would be great if Writer has at least one splitting: probably  horizontal
Comment 43 Andrej 2014-03-07 06:22:21 UTC
sorry, I mean to suggest vertical, that is ->  up and down slider
Comment 44 hwtan 2014-03-13 06:01:53 UTC
Well, with the wide screen that we have today, the split screen feature is better when the splitter is vertical, that is, the two parts of a same document are placed left and right of the screen/windows.
Comment 45 Yan Pas 2014-08-07 21:37:56 UTC
4 year history of the bug and still no answer from developers. Maybe it is impossible to implement for all platforms because of technical problems?
Comment 46 hwtan 2014-08-12 07:54:17 UTC
Hi Yan Pashkovsky,

This feature is found not only in MS Word, but also in Star Office 5.1, which is more than 10 years old. It is technically possible, just for some strange reasons it is never given its due attention.
Comment 47 QA Administrators 2014-10-23 17:32:17 UTC Comment hidden (obsolete)
Comment 48 Dmitry Pashkevich 2014-10-23 17:33:54 UTC
Yes, the feature still isn't there
Comment 49 Dmitry Pashkevich 2014-10-23 17:39:12 UTC
PS. Using Libreoffice 4.3.2.2 on Ubuntu 12.04 and 14.04
Comment 50 Michael H. 2014-10-23 19:21:16 UTC
Yes, the feature still isn't there. Using LO 4.3.0.1 on Windows XP and Windows 7.
Comment 51 Andrej 2014-10-23 20:45:42 UTC
Confirming that "Split pane" is still missing in version 4.3.1.2 in windows 7.
Comment 52 fredt34 2014-12-13 06:55:26 UTC
This is not trivial, it's just about being able to use Writer to write real documents and reports.

I'm an Auditor, and writing reports all time. Very often I need to have a part of the document under my eyes while I'm typing a new part - for instance, still watching the introduction while developing it further. At the moment I have to scrolll a lot, or worse, print the common part.

We just need to read different parts at the same document in the same screen. Opening a second window and having them side by side is NOT an option on a laptp 13" screen.

The same missing feature was asked for more 10 years on Eclipse (https://bugs.eclipse.org/bugs/show_bug.cgi?id=8009).

On *Office, the bug exists since 2003, too (https://issues.apache.org/ooo/show_bug.cgi?id=19291).

It's a shame that nobody takes care of this.
Comment 53 Andrej 2014-12-13 20:15:28 UTC
I know there are good people just doing it for the community, but instead of doing something that is not so wanted (like "Sheet tabs (Calc) and layer tabs (Draw) were moved to an independent row and are no longer displayed next to the horizontal scrollbar" in new 4.4 version) maybe good programmers should think about doing something that is really wanted for writer. I think this "bug" falls in that category 
Thank you very much
Comment 54 Edmund Laugasson 2015-05-23 20:19:33 UTC
Using 64-bit Linux Mint Cinnamon 17.1 with 4.0.4-040004-generic kernel
LibreOffice version: 5.0.0.0.beta1
Build ID: 0a16c3dda4150008d9be6f24cbd15ac198d116d3
Locale: et-EE (et_EE.UTF-8)

I would completely agree and support the proposal! In Calc 5.0.0.0.beta1 the window split works well both in vertical and horizontal. Why not same button bring to Writer? Then user can decide whether to split horizontally (as usual) or even vertically.
Comment 55 Edmund Laugasson 2015-05-23 20:20:41 UTC
Created attachment 115915 [details]
window split in LibreOffice Calc 5.0.0.0.beta1 - same would be in Writer and others

Using 64-bit Linux Mint Cinnamon 17.1 with 4.0.4-040004-generic kernel
LibreOffice version: 5.0.0.0.beta1
Build ID: 0a16c3dda4150008d9be6f24cbd15ac198d116d3
Locale: et-EE (et_EE.UTF-8)
Comment 56 Edmund Laugasson 2015-05-23 20:23:46 UTC
Why not have in almost all LibreOffice apps the split window? At least Writer, Calc, Impress, Draw, Math should have it and both - in vertical and/or horizontal.
Comment 57 Edmund Laugasson 2015-05-23 20:26:44 UTC
*** Bug 42428 has been marked as a duplicate of this bug. ***
Comment 58 Kumāra 2015-05-25 02:48:08 UTC
(In reply to Dmitry Pashkevich from comment #17)
> The title of this bug says about 'reading of 2 docs' but I mostly want to be
> able to edit two parts of the same doc via split view. I miss this feature a
> lot in LibreOffice.

What you're interested in is reported as Bug 42428 (which someone wrongly marked as duplicate of this). There you'll also read about an existing feature that serves (though not so elegantly) your purpose.
Comment 59 Edmund Laugasson 2015-05-25 09:02:42 UTC
(In reply to Kumāra from comment #58)
> (In reply to Dmitry Pashkevich from comment #17)
> > The title of this bug says about 'reading of 2 docs' but I mostly want to be
> > able to edit two parts of the same doc via split view. I miss this feature a
> > lot in LibreOffice.
> 
> What you're interested in is reported as Bug 42428 (which someone wrongly
> marked as duplicate of this). There you'll also read about an existing
> feature that serves (though not so elegantly) your purpose.

As I described at Bug 42428 this is practically the same feature as we can change through "Window" menu the documents we are viewing. So we can view one or more documents. In programming this makes no sense to create the feature, which actually already in Calc exist. But it seems that currently in Calc the split function does not allow switch between documents.

I just would propose the scrolling feature of window splitting would be configurable - so people can decide whether they they would lock the scrolling or not - both of them would be needed, that's for sure.

But if there would be diff like we know it in programming - then there would be two different features and point to create separate feature requests.

If the functionality is planned not to allow change documents in split view - then these can be two different bugs. But I would propose to expand the split window functionality and allow also change documents in split view.
Comment 60 john.bartley 2015-06-19 02:59:09 UTC
Yes, this is an essential feature lacking from LibreOffice 4.4. Since it existed in StarOffice, fail to understand why it was dropped. Please prioritize it highly.
Comment 61 Dan Martin 2015-08-27 16:05:57 UTC
I agree. Being able to view two documents side by side, either as a vertical or a horizontal align, is a must for many professionals, including translators, editors, lawyers and physicians. 

The loss of its good old MDI (multiple document interface) was one of those improvements for the worse that make the discerning LibreOffice user facepalm. An SDI might be easier to understand for some users, but honestly, having MDI as an option didn’t harm anyone.
Comment 62 john.bartley 2015-12-03 04:47:29 UTC
Still unavailable on Cinnamon Mint 17.2 in version 5.0.2.2 Build ID: 37b43f919e4de5eeaca9b9755ed688758a8251fe Locale: en-US (en_US.UTF-8)
Comment 63 Urmas 2016-01-20 06:57:14 UTC
*** Bug 97257 has been marked as a duplicate of this bug. ***
Comment 64 HansPL 2016-05-17 12:17:38 UTC
Still missing in 5.1.2.2.0+ / Linux!  

I would really wish that the LO team would spend time on fixing all those annoying year-old known bugs or wishes instead of just ignoring them and instead unnecessarily adding gimmicks or changing the UI…  

It's over a decade now and still a major missing feature. 
I'd like to remind that there is a bounty open for it (I participated): 
https://www.bountysource.com/#issues/128387-rfe-split-pane-in-same-window-for-side-by-side-proof-reading-translating-of-2-different-files 

If you really want LO not to be laughed at by all those MS Office users, please do give care and attention to the details.  I'm a strong advocate for FOSS, but I've ceased recommending LO to people using MS Office.
Comment 65 Edmund Laugasson 2016-05-18 08:45:09 UTC
I strongly agree with that what #64 comment ( HansPL 2016-05-17 12:17:38 UTC) said.
Comment 66 john.bartley 2016-05-18 11:37:01 UTC
Absolutely agree,  thoroughly frustrated.
Comment 67 john.bartley 2016-05-18 11:40:42 UTC Comment hidden (no-value)
Comment 68 john.bartley 2016-05-18 11:41:08 UTC Comment hidden (no-value)
Comment 69 john.bartley 2016-05-18 11:41:17 UTC Comment hidden (no-value)
Comment 70 Mihkel Tõnnov 2016-05-18 11:54:14 UTC
(In reply to john.bartley from comment #69)
> Why is the status still NEW after having demonstrated it is not?

NEW here means 'confirmed, but not assigned to anyone' (which is indeed unfortunate).
NEEDINFO means that information is needed whether the bug/request is still valid, or some pieces of information are missing to proceed with fixing the bug / implementing the request.
Setting this back to NEW.
Comment 71 Andrey Skvortsov 2016-06-13 18:26:22 UTC
I added myself to backers for bounty attached to this feature request. The bounty can be found here: 
https://www.bountysource.com/#issues/128387-rfe-split-pane-in-same-window-for-side-by-side-proof-reading-translating-of-2-different-files
Comment 72 noreply 2016-07-01 14:52:09 UTC
Wow, was looking for this feature just now, only to discover it's already been requested back in 2010. That's... pretty unbelievable, even for an open source project.
Current method of two windows aligned next to each other unnecessarily duplicates many interface elements - cutting valuable screenspace.

Hope it'll receive some attention from devs.
Comment 73 670c43a1 2016-08-20 00:52:08 UTC
Need split pane in Writer for 'same' file as well, vertical primarily, horizontal if possible
Comment 74 Edmund Laugasson 2016-08-20 14:50:42 UTC
I agree - splitting same file horizontally and vertically would be very much expected. One more improvement idea to be better than MS Office - offer a splitting line which angle can be changed just by dragging with mouse in order to choose the splitting edge. There could be buttons 'horizontally' and 'vertically' also for easier to choose common values.
It would be good also to choose the splitting location - it has not to be symmetrical - sometimes users would like to split unequally windows. I hope this ability would also be included.
Yet another idea - offer also the number of splitting parts just like there are table cell splitting dialog in Writer. Sometimes people would like to split even into more parts than just two. Also give each part unequal width or height or angle and zoom factor. Also there would be needed different directions at the same time - to split screen vertically into 2 parts and e.g. right part in turn into 2 parts horizontally - in that way I can edit the file at vertical side and look two other locations in the same file at another, horizontally splitted side of screen.
Comment 75 Zenaan Harkness 2016-08-29 12:13:21 UTC
A friend of mine is stuck in Dreamweaver - some proprietary program from a few years back now. This feature would go a long way to making it easier to bring in such folks from the cold proprietary world :)

See also bug #101772
Comment 76 RGB 2016-09-18 12:20:51 UTC Comment hidden (obsolete)
Comment 77 stephenboston 2017-07-28 12:40:59 UTC
Is there something about the design of LibreOffice that prevents this? It's been open for years. A much needed feature. 

I understand that it sortof works in 'Normal' view, i.e. Print view, but I need it to work in web view.